Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal.artifacts.ivyservice
Class DefaultResolverFactory

    java.lang.Object
      org.gradle.api.internal.artifacts.ivyservice.DefaultResolverFactory

All Implemented Interfaces:
  ResolverFactory

    class DefaultResolverFactory
    extends java.lang.Object

author:
  Hans Dockter

Constructor Summary
`DefaultResolverFactory()`

Method Summary
`org.apache.ivy.plugins.resolver.FileSystemResolver` | `createFlatDirResolver(java.lang.String name, File roots)`
`GroovyMavenDeployer` | `createMavenDeployer(java.lang.String name, File pomDir, ConfigurationContainer configurationContainer, Conf2ScopeMappingContainer scopeMapping)`
`MavenResolver` | `createMavenInstaller(java.lang.String name, File pomDir, ConfigurationContainer configurationContainer, Conf2ScopeMappingContainer scopeMapping)`
`org.apache.ivy.plugins.resolver.AbstractResolver` | `createMavenRepoResolver(java.lang.String name, java.lang.String root, java.lang.String jarRepoUrls)`
`org.apache.ivy.plugins.resolver.DependencyResolver` | `createResolver(java.lang.Object userDescription)`

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### DefaultResolverFactory

    DefaultResolverFactory()

Method Detail

### createFlatDirResolver

    public org.apache.ivy.plugins.resolver.FileSystemResolver createFlatDirResolver(java.lang.String name, File roots)

### createMavenDeployer

    public GroovyMavenDeployer createMavenDeployer(java.lang.String name, File pomDir, ConfigurationContainer configurationContainer, Conf2ScopeMappingContainer scopeMapping)

### createMavenInstaller

    public MavenResolver createMavenInstaller(java.lang.String name, File pomDir, ConfigurationContainer configurationContainer, Conf2ScopeMappingContainer scopeMapping)

### createMavenRepoResolver

    public org.apache.ivy.plugins.resolver.AbstractResolver createMavenRepoResolver(java.lang.String name, java.lang.String root, java.lang.String jarRepoUrls)

### createResolver

    public org.apache.ivy.plugins.resolver.DependencyResolver createResolver(java.lang.Object userDescription)

Groovy Documentation